EDIT - bug #7878

Edit CollectionCode not saved
10/29/2018 02:04 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

Vaadin Ul, production system:

Working Set http://api.cybertaxonomy.org/phycobank/app/reqistration#!workingset/cfdf04b9-d64d-4c0b-b936-7e210f7e218f

Name: Nupela leviundulata Goto TypeSpecimen Editor

Type includes Institute = "Coll. Witkowski, Inst. of Marine Sciences, University of Szczecin, Poland"
Das ist inhaltlich nicht ganz richtig, weil die Coll. in den Institutsnamen einbezogen wurde.

Das Problem: Code ist leer, Code standard ist leer, Town of Collection ist leer.
Idee: Diese Information Uber Vaadin (Login als Curator) nachzutragen.

Vorgehen: "Edit" klick, Code=SZCZ, Code standard=Index Herbariorum, Town=Szczecin
Eingegeben, gespeichert. "SZCZ" in der Auswahl im TypeSpecimenEditor gesucht, gefunden und ausgewahlt.
TypeSpecimen gepeichert.

Weder die Anzeige im Registration Workingset Editor ist korrigiert, noch wurde die Anderung gespeichert.
Ein erneuter Aufruf des TypeSpecimen Editors zeigt den alten Eintrag.

[Auf das Problem, dass ich keine Super- sondern nur Subcollections brauchen kann gehe ich hier nicht noch mal ein.]

Associated revisions

Revision a043ae5b - 11/13/2018 04:51 PM - Andreas Kohlbecker

#7878 adapting SpecimenTypeDesignationWorkingsetEditorPresenter to using the editorActionContext information

History

#1 - 10/30/2018 11:52 AM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.5

The type designation editor is not refreshing the cache with the updated collection entity.

#2 - 11/13/2018 04:52 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

fixed! Please review.

#3 - 12/19/2018 08:09 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 0 to 100

Works.
New feature "is part of" is helfull.

| took an entry "Code only" Edit Instute name "Institute of Botany" and updated the entry.

Might be closed.
#4 - 12/20/2018 07:57 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed
